from app.api import bp_errors

@bp_errors.app_errorhandler(400)
def bad_request(e):
	return {"Bad Request": "The request was incorrectly formatted, or contained invalid data"}, 400

@bp_errors.app_errorhandler(401)
def unauthorized(e):
	return {"Unauthorized": "Failed to authorize the request"}, 401

@bp_errors.app_errorhandler(403)
def forbidden(e):
	return {"Forbidden": "Forbidden from accessing this resource. Try logging in"}, 403

@bp_errors.app_errorhandler(404)
def not_found(e):
	return {"Not Found": "The requested resource was not found"}, 404

@bp_errors.app_errorhandler(405)
def method_not_allowed(e):
	return {"Method Not Allowed": "The method used is not allowed in current context"}, 405

@bp_errors.app_errorhandler(500)
def internal_error(e):
	return {"Internal Server Error": "An error occured on he server"}, 500

@bp_errors.app_errorhandler(501)
def internal_error(e):
	return {"Not Implemented": "This function has not been implemented yet. Check back soon!"}, 501